Skip to main content
GET
/
deployments
/
secrets
/
{id}
Together AI SDK (v2)
from together import Together
client = Together()

secret = client.beta.jig.secrets.retrieve("my-secret")
print(secret)
import Together from "together-ai";
const client = new Together();

const secret = await client.beta.jig.secrets.retrieve("my-secret");
console.log(secret);
import Together from "together-ai";
const client = new Together();

const secret = await client.beta.jig.secrets.retrieve("my-secret");
console.log(secret);
curl -X GET \
      -H "Authorization: Bearer $TOGETHER_API_KEY" \
      https://api.together.ai/v1/deployments/secrets/my-secret


{
  "created_at": "<string>",
  "created_by": "<string>",
  "description": "<string>",
  "id": "<string>",
  "last_updated_by": "<string>",
  "name": "<string>",
  "object": "<unknown>",
  "updated_at": "<string>"
}
{}
{}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Secret ID or name

Response

Secret details

created_at
string

CreatedAt is the ISO8601 timestamp when this secret was created

created_by
string

CreatedBy is the identifier of who created this secret.

description
string

Description is a human-readable description of the secret's purpose

id
string

ID is the unique identifier for this secret

last_updated_by
string

LastUpdatedBy is the identifier of who last updated this secret.

name
string

Name is the name/key of the secret

object
any

The object type, which is always secret.

updated_at
string

UpdatedAt is the ISO8601 timestamp when this secret was last updated